(function($){
    $.fn.fix = function(options){
        var defaults = {
            float : 'right',
            minStatue : true,
            skin : 'blue',
            durationTime : 1000
        };
        var options = $.extend(defaults, options);

        this.each(function(){
            //???????
            var thisBox = $(this),
                closeBtn = thisBox.find('.close_btn' ),
                show_btn = thisBox.find('.show_btn' ),
                sideContent = thisBox.find('.side_content');
            var defaultTop = thisBox.offset().top;	//????????top
            thisBox.css(options.float, 0);
            if(options.minStatue == "true"){
                show_btn.css("float", options.float);
                sideContent.css('width', 0);
                show_btn.css('width', 25);
            }
            //close
            closeBtn.bind("click",function(){
                sideContent.animate({width: '0px'},"fast");
                show_btn.stop(true, true).delay(300).animate({ width: '25px'},"fast");
                cookiesave('minStatue','true','','','');
            });
            //show
            show_btn.bind("click",function() {
                $(this).animate({width: '0px'},"fast");
                sideContent.stop(true, true).delay(200).animate({ width: '154px'},"fast");
                cookiesave('minStatue','false','','','');
            });
        });	//end this.each
    };
})(jQuery);

function f_submit()
{
    $("#new_memo").submit();
}

function cookiesave(n, v, mins, dn, path)
{
    if(n)
    {

        if(!mins) mins = 365 * 24 * 60;
        if(!path) path = "/";
        var date = new Date();
        date.setTime(date.getTime() + (mins * 60 * 1000));
        var expires = "; expires=" + date.toGMTString();
        if(dn) dn = "domain=" + dn + "; ";
        document.cookie = n + "=" + v + expires + "; " + dn + "path=" + path;

    }
}
function cookieget(n)
{
    var name = n + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i<ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(name) == 0){
            return c.substring(name.length,c.length);
        }
    }
    return false;
}


$(function(){
    $(".closeSidebar").click(function(){
        $(".show_btn").css("display","none");
        $("#scrollsidebar").css("display","none");
        return false;
    });

    $("#button1").click(function(){
        myTips("反馈成功","success");
    });

    $("#scrollsidebar").fix({
        float: 'right',	//default.left or right
        minStatue: cookieget('minStatue'),
        skin: 'green',	//default.gray or blue
        durationTime: 600
    });

    $("#subject").keydown(function(){
        var curLength=$("#subject").val().length;
        if(curLength>50){
            var num=$("#subject").val().substr(0,50);
            $("#subject").val(num);
        }
        else{
            $("#textCount").text(50-$("#subject").val().length)
        }
    }).keyup(function(){
        var curLength=$("#subject").val().length;
        if(curLength>50){
            var num=$("#subject").val().substr(0,50);
            $("#subject").val(num);
        }
        else{
            $("#textCount").text(50-$("#subject").val().length)
        }
    });
});